<template>
  <v-app>
    <v-app-bar app>
      <v-toolbar-title v-text="title" />
      <v-spacer />
      <v-btn-toggle v-model="icon" borderless>
        <v-btn value="left">
          <v-icon right> mdi-airplane-landing </v-icon>
          &nbsp;&nbsp;Traer
        </v-btn>

        <v-btn value="center">
          <v-icon right> mdi-shopping-outline </v-icon>
          &nbsp;&nbsp;Comprar
        </v-btn>

        <v-btn value="right">
          <v-icon right> mdi-map-marker-radius-outline </v-icon>
          &nbsp;&nbsp;Rastrea
        </v-btn>
      </v-btn-toggle>
      <v-btn color="primary" style="margin-left: 20px" @click="goLogIn"
        >Comenzar</v-btn
      >
    </v-app-bar>

    <v-main>
      <v-container fluid>
        <v-row justify="center">
          <v-col cols="3" class="text-center"> Bienvenido </v-col>
        </v-row>
        <v-row justify="center" class="text-center">
          <v-col cols="3">
            <v-btn> Registrate </v-btn>
          </v-col>
        </v-row>
      </v-container>
    </v-main>
  </v-app>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator'
@Component({
  auth: false,
  name: 'index',
})
export default class Index extends Vue {
  title = 'BOXSENDI'

  icon = 'justify'

  goLogIn() {
    this.$router.push('/login')
  }
}
</script>